<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/toolbar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?attr/colorPrimary"
        android:elevation="4dp"
        android:orientation="vertical">

        <androidx.appcompat.widget.Toolbar xmlns:tools="http://schemas.android.com/tools"
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            tools:ignore="UnusedAttribute">

            <androidx.appcompat.widget.SearchView
                android:id="@+id/search_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:iconifiedByDefault="false"

                />
        </androidx.appcompat.widget.Toolbar>

        <Spinner
            android:layout_marginStart="40dp"
            android:id="@+id/search_sites"
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_marginLeft="40dp" />

    </LinearLayout>

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:orientation="vertical">

        <ListView
            android:id="@+id/search_list_view"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:scrollingCache="true" />

        <ProgressBar
            android:id="@+id/search_list_progress"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <TextView
            android:id="@+id/search_list_empty_view"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_centerInParent="true"
            android:text="@string/no_results"
            android:gravity="center"
            android:textSize="20sp" />

    </RelativeLayout>
</LinearLayout>